AbstractPropertySetterTask (Ant Contrib)
Date: 2016-06-25

net.sf.antcontrib.property

## Class AbstractPropertySetterTask

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.Task
    - - net.sf.antcontrib.property.AbstractPropertySetterTask

- All Implemented Interfaces:
    java.lang.Cloneable
  Direct Known Subclasses:
    PropertyCopy, PropertySelector, RegexTask, SortList, URLEncodeTask

      public abstract class AbstractPropertySetterTask
      extends org.apache.tools.ant.Task

  Place class description here.
  Since:
  Author:
    Matthew Inger,

- - ### Field Summary

    - ### Fields inherited from class org.apache.tools.ant.Task

      `target, taskName, taskType, wrapper`

    - ### Fields inherited from class org.apache.tools.ant.ProjectComponent

      `description, location, project`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractPropertySetterTask()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setOverride(boolean override)`
    `void` | `setProperty(java.lang.String property)`
    `protected void` | `setPropertyValue(java.lang.String value)`
    `protected void` | `validate()`

    - ### Methods inherited from class org.apache.tools.ant.Task

      `bindToOwner, execute, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

    - ### Methods inherited from class org.apache.tools.ant.ProjectComponent

      `clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractPropertySetterTask

          public AbstractPropertySetterTask()

  - ### Method Detail

    - #### setOverride

          public void setOverride(boolean override)

    - #### setProperty

          public void setProperty(java.lang.String property)

    - #### validate

          protected void validate()

    - #### setPropertyValue

          protected final void setPropertyValue(java.lang.String value)